## xsp 0.1.2

=== DESCRIPTION ===
Package: xsp
Type: Package
Title: The Chi-Square Periodogram
Version: 0.1.2
Author: Hitoshi Iuchi, Rikuhiro G. Yamada
Maintainer: Hitoshi Iuchi <hiuchi@sfc.keio.ac.jp>
Description: The circadian period of a time series data is predicted and the statistical significance of the periodicity are calculated using the chi-square periodogram.
License: MIT + file LICENSE
Suggests: testthat
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
Imports: ggplot2, reshape2
NeedsCompilation: no
Packaged: 2017-06-08 07:55:48 UTC; hiuchi
Repository: CRAN
Date/Publication: 2017-06-08 11:37:17 UTC
