## xsp 1.0.2

=== debian/changelog ===
xsp (1.0.2) unstable; urgency=low

  * cleanup 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu,  1 Dec 2005 12:53:07 +0200

xsp (1.0.1) unstable; urgency=low

  Lauri Leukkunen 

  * xsp-fix-req-size
  * xsp-add-pixel-doubling
  * add-missing-include
  
  Riku Voipio

  * use native version number
  * enforce newer SpExt

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed, 14 Sep 2005 13:28:13 +0300

xsp (1.0.0-8) unstable; urgency=low

  * Rebuild against fixed SpExt

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 12 Apr 2005 11:27:18 +0300

xsp (1.0.0-7) unstable; urgency=low

  * Fix -dev depencies

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 29 Mar 2005 16:42:47 +0300

xsp (1.0.0-6) unstable; urgency=low

  * DSP fixes

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue,  1 Mar 2005 12:55:29 +0200

xsp (1.0.0-5) unstable; urgency=low

  * Fix shlibs

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Thu, 24 Feb 2005 14:15:09 +0200

xsp (1.0.0-4) unstable; urgency=low

  * New upstream version

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed, 23 Feb 2005 18:46:10 +0200

xsp (1.0.0-3) unstable; urgency=low

  * Correct build depencies 

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri,  4 Feb 2005 16:04:55 +0200

xsp (1.0.0-2) unstable; urgency=low

  * New upstream version

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 26 Oct 2004 16:36:31 +0300

xsp (1.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 18 Oct 2004 13:55:01 +0300
