## xsp 1.0.3embed1

=== debian/control ===
Source: xsp
Section: x11
Priority: optional
Maintainer: Riku Voipio <ext-riku.voipio@nokia.com>
Build-Depends: x-build, x-dev, libxproto-fixes, libxproto-xsp (>= 1.1), libx11-dev, libxext-dev
Standards-Version: 3.6.1.1

Package: libxsp0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X S P lib
 Xomap server specific extension runtime library

Package: libxsp0-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libxsp0 (= ${Source-Version}), ${misc:Depends}
Description: X S P lib - debug files
 Xomap server specific extension runtime debug library

Package: libxsp-dev
Section: libdevel
Architecture: any
Depends: libxproto-xsp, libxsp0 (= ${Source-Version})
Description: X S P lib - development files
 Xomap server specific extension, development headers
