## xsp 1.2.2

=== debian/changelog ===
xsp (1.2.2) unstable; urgency=low

  * Add proper copyright notices/licence (MIT/X11).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 24 May 2006 10:54:26 +0000

xsp (1.2.1) unstable; urgency=low

  * Add error checking for XSPFindDisplay (closes: N#25121).

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 28 Mar 2006 17:54:17 +0300

xsp (1.2.0) unstable; urgency=low

  [ Tapani Pälli ]
  * Add support for setting thumb pressure pressure via protocol requests.

  [ Daniel Stone ]
  * Bump version to 1.2.0.
  * Fix spext version check.

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 15 Feb 2006 10:12:42 +0200
