=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Riku Voipio <ext-riku.voipio@nokia.com>
-Build-Depends: x-build, x-dev, libxproto-fixes, libxproto-xsp (>= 1.1), libx11-dev, libxext-dev
+Build-Depends: x-build, x-dev, libxproto-fixes, libxproto-xsp (>= 1.2), libx11-dev, libxext-dev
 Standards-Version: 3.6.1.1
 
 Package: libxsp0
