## xsp 2.10

=== debian/changelog ===
xsp (2.10-2) unstable; urgency=low

  [ Jo Shields ]
  * [91ef16c] Add missing dependencies to dh-xsp
  * [d9953f7] Updated Swedish translation. Thanks to Martin Bagge. (Closes: #623408)
  * [d8c3c1c] Switch to DH8-compatible use of "--with cli"

  [ Iain Lane ]
  * [dc3bc8b] Fix typographical problems in debconf templates.
    Thanks to Jeroen Schot <schot@A-Eskwadraat.nl>
  * [8dcab08] Typo fix in French translation from David Prévot

  [ Christian Perrier ]
  * [e280105] Update & unfuzzy translations (Closes: #653030, #653081, #653224)

 -- Jo Shields <directhex@apebox.org>  Fri, 20 Jan 2012 10:28:40 +0000

xsp (2.10-1) experimental; urgency=low

  * [61d31c1] Remove obsolete gbp.conf
  * [ccdb6e6] Imported Upstream version 2.10
  * [92f63cb] Stop converting tarball format on orig tarball
  * [27a035f] Set Debian source format to 3.0 (quilt)
  * [faec1a1] Port dh_installxsp to handle XSP 2 and 4, not 1 and 2
  * [18cc2df] Replace XSP 1 preinst/postrm with XSP4 equivalents
  * [da67f86] Remove menu entry for ASP.NET examples (it's not useful
    having it in a GUI menu when it just spawns a daemon)
  * [c3ebd1a] Remove .dirs files for ASP.NET examples - they serve no
    purpose
  * [16c8c53] Unify ASP.NET examples under a single package, hosted by
    XSP 4
  * [36ce192] Move debian compat level to 7
  * [61e0efe] Remove TODO (this kind of thing belongs on a wiki, or bug
    reports - it's just cluttering up the packaging of the package)
  * [1ca7b61] Remove useless .dirs files for FastCGI packages
  * [93e676f] Add mono-fastcgi-server4 packages, replacing mono-fastcgi-
    server1
  * [f08e010] Remove useless .dirs files for mono-apache-server packages
  * [1945d2c] Make mono-apache-server4 the new default version for mono-
    apache-server
  * [7149783] Update readme for mono-apache-server2
  * [68f8b3b] Replace mono-apache-server1 with mono-apache-server4
  * [6b912dc] Add symlinks to default versions of our apache mangling
    tools to the default versions package, mono-apache-server. Since the
    names of some commands are recycled from mono-apache-server1, add a
    Conflicts/Replaces
  * [193e167] Remove fragments of earlier packaging efforts, which
    haven't been actually used for years
  * [da96272] Update to 4.0, and rename Debian XSP manglement scripts,
    to remove useless ".conf" filename which is only removed anyway
  * [9e2a65a] Move XSP4 features into a new mono-xsp4-base package, and
    rename mono-xsp-base to dh-xsp since it only contains dh_installxsp.
  * [620f9ee] Add executable permissions to scripts we plan to run
  * [6f66c23] Switch default mono-xsp version to 4.0
  * [ef6ca71] Add an xsp.pm, for DebHelper, so we can call "dh --with
    xsp" in XSP apps to handle dh_installxsp
  * [93c5179] Ensure we carry NEWS etc with mono-xsp2
  * [1c1ff1e] Add a readme for XSP2, to help explain our weird
    Debianisms
  * [ab2389b] Replace mono-xsp1 with mono-xsp4
  * [9b3ad89] Bump ABI version of expected Mono to 2.10.1
  * [4c55e8a] Clean up version-checking rules slightly
  * [f4484a6] Handle slightly weird version/name situation in upstream's
    Mono.WebServer2 library
  * [b4f7731] Port packaging to Debhelper 7, clean up significantly, and
    update to build 2.10 (in theory)
  * [a4e1ddc] Fix up build-dependencies
  * [5bb24aa] Fix up install list for dh-xsp
  * [e4e497c] it's dh_installman, not manpages
  * [a80fb89] Fix package description for dh-xsp
  * [e60ec5b] Explicitly add mono-gmcs to the dependencies of mono-xsp2,
    since the gmcs compiler is needed for sites to actually work
  * [cbb8703] Switch asp.net-examples from XSP4 to XSP2, since there's
    some precompiled 2.0 stuff in there and it's not worth rebuilding
    against 4.0 when it doesn't contain any 4.0-only examples anyway
  * [41c086d] Refresh .dirs files for mono-xsp
  * [2de6042] Add a conflicts, since we want to force removal of
    asp.net2-examples
  * [0ae8be3] Add debconf templates to warn users of XSP1 removal
  * [64db795] Inform users via Debconf if they have XSP1 sites
    configured, when they install XSP2 or 4 - since we cannot host XSP1
    sites anymore, it's nice to let users know that they need to
    reconfigure
  * [a8618d7] Refresh POTFILES.in
  * [49772f9] Updated Russian translation. Thanks to Yuri Kozlov.
    (Closes: #620657)
  * [f25e3c3] Updated Galician translation. Thanks to Miguel Bouzada.
  * [c31337b] Updated Slovenian translation. Thanks to Jan Kraljič.
  * [901c80d] Updated Slovenian translation. Thanks to Jan Kraljič
  * [9a801ed] Updated German translation. Thanks to Helge Kreutzmann.
    (Closes: #620987)
  * [b4dbed6] Updated Finnish translation. Thanks to Esko Arajärvi.
    (Closes: #621008)
  * [426a9ef] Updated Basque translation. Thanks to Iñaki Larrañaga
    Murgoitio. (Closes: #621498)
  * [e5b1bf5] Updated Portugese translation. Thanks to Miguel
    Figueiredo. (Closes: #621837)
  * [69b81d2] Updated Czech translation. Thanks to Miroslav Kure.
    (Closes: #622098)
  * [cd01091] Updated Spanish translation. Thanks to Francisco Javier
    Cuadrado. (Closes: #622612)

 -- Jo Shields <directhex@apebox.org>  Fri, 15 Apr 2011 17:34:23 +0100

xsp (2.6.5-3) unstable; urgency=low

  * Upload to Debian Unstable

 -- Jo Shields <directhex@apebox.org>  Fri, 10 Sep 2010 16:11:45 +0100

xsp (2.6.5-2) experimental; urgency=low

  * debian/mono-xsp1.postinst,
    debian/mono-xsp2.postinst:
    + If /var/run/mono-xspX is missing, then don't die in postinst

 -- Jo Shields <directhex@apebox.org>  Sat, 28 Aug 2010 13:37:10 +0100

xsp (2.6.5-1) experimental; urgency=low

  * New upstream release
  * debian/mono-xsp1.default,
    debian/mono-xsp1.init,
    debian/mono-xsp2.init:
    + Make daemon enabled or disabled on the basis of the start_boot value 
      of /etc/default/mono-xspX. As a side effect of this, the init script 
      will no longer die horribly if the default file is missing or junk.
  * debian/mono-xsp1.postinst,
    debian/mono-xsp2.postinst:

