## xsp 2.10-1maemo1

=== debian/changelog ===
xsp (2.10-1maemo1) fremantle;  urgency=low

  * Initial release for Maemo 5
  * Removed dh_xsp
  * Removed examples
  * Removed autostart (you still can run update-rc.d manually)
  * Removed unit tests from build sequence

 -- Nikita Tsukanov <keks9n@gmail.com>  Sun, 1 May 2011 19:01:43 +0400
