=== debian/control ===
--- 
+++ 
@@ -1,28 +1,18 @@
 Source: xsp
 Section: web
 Priority: optional
-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
-Uploaders: Dylan R. E. Moonfire <debian@mfgames.com>, Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
-Build-Depends: debhelper (>= 7.0.50~), po-debconf, autotools-dev
+Maintainer: Nikita Tsukanov <keks9n@gmail.com>
+Original-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
+Build-Depends: debhelper, po-debconf, autotools-dev
 Build-Depends-Indep: cli-common-dev (>= 0.8~),
  mono-devel (>= 2.10.1),
  mono-gmcs,
- monodoc-base,
- libnunit-cil-dev
+ monodoc-base
 Standards-Version: 3.9.1
 Homepage: http://www.mono-project.com/ASP.NET
 Vcs-Git: git://git.debian.org/git/pkg-mono/packages/xsp.git
 Vcs-Browser: http://git.debian.org/?p=pkg-mono/packages/xsp.git
 
-Package: dh-xsp
-Architecture: all
-Depends: perl, debhelper, ${misc:Depends}
-Conflicts: mono-utils (<= 1.1.9.2-1), mono-xsp-base
-Replaces: mono-xsp-base
-Description: debhelper add-on to handle ASP.NET sites
- dh-xsp provides a debhelper sequence addon named 'xsp' and the dh_installxsp
- command, which allows ASP.NET sites to be automatically configured on 
- installation.
 
 Package: mono-xsp2-base
 Architecture: all
@@ -70,15 +60,6 @@
  This is a metapackage to pull in the standalone ASP.NET web server. 
  If you want to run ASP.NET applications with Apache, look at 
  mono-apache-server.
-
-Package: asp.net-examples
-Architecture: all
-Depends: ${misc:Depends}, ${cli:Depends}, ${cli:XspServer2}
-Replaces: asp.net2-examples
-Conflicts: asp.net2-examples
-Description: demo pages for ASP.NET infrastructure
- Sample set of .aspx pages to test the XSP server or the mod_mono Apache
- module.
 
 Package: mono-apache-server4
 Architecture: all
