## xsp 3.0.11

=== debian/changelog ===
xsp (3.0.11-1) unstable; urgency=low

  * [cba6453] Imported Upstream version 3.0.11
  * [7709f54] Updated Japanese translation. Thanks to victory 
    <victory.deb@gmail.com> (Closes: #717204)
  * [fdfbb9d] Updated Italian translation. Thanks to Fabio 
    <rola.hack@gmail.com> (Closes: #697188)

 -- Jo Shields <directhex@apebox.org>  Tue, 08 Oct 2013 16:40:34 +0200

xsp (2.11+git20130328.6365230-2) unstable; urgency=low

  * Upload to sid

 -- Jo Shields <directhex@apebox.org>  Tue, 09 Jul 2013 22:48:27 +0100

xsp (2.11+git20130328.6365230-1) experimental; urgency=low

  * [6d6e4fa] Imported Upstream version 2.11+git20130328.6365230
  * [53f2acf] Launcher scripts assume .NET 4.5, so Mono 3 needed
  * [39f8bc7] 4.5-ify install locations

 -- Jo Shields <directhex@apebox.org>  Fri, 26 Apr 2013 14:32:24 +0100

xsp (2.10-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "modifies conffiles (policy 10.7.3): /etc/default/mono-xsp2"
    use variable instead if string for db_set in
    debian/mono-apache-server[2,4].config. (Cf. #688565).
    Thanks to Adam D. Barratt for spotting this mistake (in #688205).

 -- gregor herrmann <gregoa@debian.org>  Sun, 07 Oct 2012 20:08:34 +0200

xsp (2.10-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "modifies conffiles (policy 10.7.3): /etc/default/mono-xsp2":
    s/db_get/db_set/ in debian/mono-xsp[24].config.
    Thanks to Andreas Beckmann for hunting down my silly mistake.
    (Closes: #688205)

 -- gregor herrmann <gregoa@debian.org>  Sat, 06 Oct 2012 18:08:06 +0200

xsp (2.10-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "modifies conffiles (policy 10.7.3): /etc/default/mono-xsp2" and
    "mono-apache-server2, mono-apache-server4: modifies conffiles (policy
    10.7.3): /etc/default/mono-apache-server[24]" and another not yet reported
    case of the same problem in mono-xsp4:
    for all of mono-xsp[24] and mono-apache-server[24]:
    - don't ship the .default file
    - create it in .postinst if necessary
    - source it in .config to feed existing values into debconf
    - remove it in .postrm/purge
    (Closes: #688205, Closes: #688565)
  * Fix "mono-apache-server{2, 4}: unowned files after purge (policy
    6.8, 10.8): /etc/mono-server?/mono-server?-hosts.conf":
    - remove files in .postrm/purge
    (Closes: #668755)

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Oct 2012 15:50:27 +0200

xsp (2.10-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
  * Japanese (Hideki Yamane).  Closes: #626374
  * Swedish (Martin Bagge / brother).  Closes: #661963
  * Polish (Michał Kułach).  Closes: #662919

 -- Christian Perrier <bubulle@debian.org>  Sun, 01 Apr 2012 15:33:36 +0200
