## xsp 3.8

=== debian/changelog ===
xsp (3.8-2) unstable; urgency=medium

  * [0daef45] Move build-depends-indep to build-depends, since this is 
    now an arch:any package not arch:all.

 -- Jo Shields <jo.shields@xamarin.com>  Thu, 25 Sep 2014 14:40:28 +0100

xsp (3.8-1) unstable; urgency=medium

  * [2f6490d] Fix libs path (LP: 1293481) (Closes: #731374)
    (Thanks to Shahid Ali)
  * [5f37cfd] Imported Upstream version 3.8
  * [19ead6c] Fix package description 1.0->4.5
  * [fc25680] Fix init message (Closes: #692560)
  * [c428f8d] Add mono-fpm-server package, for "FastCGI Process Manager" 
    variant of XSP, and libfpm-helper0, a native C library used by it 
    (and also used by the older fastcgi variants)

 -- Jo Shields <jo.shields@xamarin.com>  Thu, 25 Sep 2014 10:23:48 +0100
