=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
 Uploaders: Dylan R. E. Moonfire <debian@mfgames.com>, Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
-Build-Depends: debhelper (>= 7.0.50~), po-debconf, autotools-dev
-Build-Depends-Indep: cli-common-dev (>= 0.8~),
+Build-Depends: debhelper (>= 7.0.50~), 
+ po-debconf, 
+ autotools-dev, 
+ cli-common-dev (>= 0.8~),
  mono-devel (>= 3),
  mono-gmcs,
  monodoc-base (>= 3),
@@ -83,7 +85,7 @@
 Package: mono-apache-server4
 Architecture: all
 Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), perl-modules
-Description: ASP.NET 1.1 backend for mod_mono Apache module
+Description: ASP.NET 4.5 backend for mod_mono Apache module
  mono-apache-server contains the backend for mod_mono. It lets you run ASP.NET
  web applications via Apache. mod_mono will call mono-apache-server to parse
  and compile the aspx code.
@@ -114,10 +116,33 @@
  .
  This package pulls in the default version of the Apache backend.
 
+Package: mono-fpm-server
+Architecture: all
+Depends: libfpm-helper0 (= ${source:Version}), ${shlibs:Depends}, ${cli:Depends}, ${misc:Depends}
+Description: ASP.NET backend for FastCGI Process Manager
+ mono-fpm-server contains the backend for FPM. It lets you run ASP.NET
+ web applications via HTTP servers such as Lighttpd or Apache.
+ The FastCGI webserver shouldbe configured to run fastcgi-mono-server to
+ parse and compile the aspx code.
+ .
+ This package requires you to install any FPM webserver, such as
+ Lighttpd or Apache (see libapache2-mod-fastcgi).
+
+Package: libfpm-helper0
+Architecture: any
+Depends: ${shlibs:Depends}, ${cli:Depends}, ${misc:Depends}
+Description: ASP.NET backend for FastCGI Process Manager - helper lib
+ mono-fpm-server contains the backend for FPM. It lets you run ASP.NET
+ web applications via HTTP servers such as Lighttpd or Apache.
+ The FastCGI webserver shouldbe configured to run fastcgi-mono-server to
+ parse and compile the aspx code.
+ .
+ This package contains a helper library needed by mono-fpm-server.
+
 Package: mono-fastcgi-server4
 Architecture: all
 Replaces: mono-fastcgi-server1
-Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), perl-modules
+Depends: libfpm-helper0 (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), perl-modules
 Description: ASP.NET 4.0 backend for FastCGI webservers
  mono-fastcgi-server contains the backend for FastCGI. It lets you run 
  ASP.NET web applications via HTTP servers such as Lighttpd or Apache. 
@@ -131,7 +156,7 @@
 Architecture: all
 Conflicts: mono-server
 Replaces: mono-server
-Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp2-base (= ${source:Version}), perl-modules
+Depends: libfpm-helper0 (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}, mono-xsp2-base (= ${source:Version}), perl-modules
 Description: ASP.NET 2.0 backend for FastCGI webservers
  mono-fastcgi-server contains the backend for FastCGI. It lets you run
  ASP.NET web applications via HTTP servers such as Lighttpd or Apache.
