## xsp 4.2

=== debian/changelog ===
xsp (4.2-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Obvious lintian fixes:
    init.d-script-needs-depends-on-lsb-base
  * Add debconf template translation
    - Brazilian Portuguese.
      Thanks Paulo Henrique de Lima Santana (Closes: #1026412)
  * Acknowledge the following translations, which are already contained:
    - Italian. Thanks to Beatrice Torracca (Closes: #807646)
    - French. Thanks jean-pierre giraud (Closes: #808328)
    - Japanese. Thanks Takuma Yamada (Closes: #815854)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 15 Jan 2023 08:17:38 +0100

xsp (4.2-2.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Clint Adams ]
  * Use mktemp instead of tempfile (Closes: #961364)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 30 Aug 2021 23:40:29 +0200

xsp (4.2-2.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 12:15:15 +0100

xsp (4.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Address FTBFS when built with -A by adding debian/shlibs.local.
    Thank you to Santiago Vila for the patch. (Closes: #806879)
  * Address "not binNMU-safe" policy violation due to arch:any
    dependency versioning for mono-fpm-server and mono-fastcgi-server4.
    Thank you to Andreas Beckmann. (Closes: #858372)

 -- tony mancill <tmancill@debian.org>  Sat, 01 Apr 2017 10:32:54 -0700

xsp (4.2-2) unstable; urgency=medium

  * [45c7657] Update Russian translation. 
    Thanks to Yuri Kozlov (Closes: #806737)
  * [81fc78c] Update Danish translation. 
    Thanks to Joe Dalton (Closes: #807116)
  * [e00ff7b] Update Czech translation. 
    Thanks to Miroslav Kure (Closes: #807162)
  * [74127a7] Update German translation. 
    Thanks to Helge Kreutzmann (Closes: #807247)
  * [d20ffb4] Update Dutch translation. 
    Thanks to Frans Spiesschaert (Closes: #807498)
  * [f7a0233] Update Slovenian translation. 
    Thanks to Jan Kraljič (Closes: #807573, #807572)

 -- Jo Shields <jo.shields@xamarin.com>  Fri, 11 Dec 2015 09:17:13 +0000

xsp (4.2-1) experimental; urgency=medium

  * Imported Upstream version 4.0
  * Remove support for 2.0 profile
  * Imported Upstream version 4.2
  * Fix weird issue of missing source files
  * Fix SONAME for fastcgi wrapper
  * Fix examples file
  * Reflow readme (Closes: #773658)

 -- Jo Shields <jo.shields@xamarin.com>  Mon, 30 Nov 2015 14:46:11 +0000

xsp (3.8-2.1) unstable; urgency=high

  * Non-maintainer upload fixing bugs blocking serious bug #777597 --
    perl-modules: upgrade regression: dpkg: dependency problems prevent
    configuration of perl-modules

  * replace dependencies on 'perl-modules' with 'perl' as per Perl policy
    (Closes: #779124, #779122, #779125)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 25 Feb 2015 21:14:04 +0000
