=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  autotools-dev, 
  cli-common-dev (>= 0.8~),
  mono-devel (>= 3),
- mono-gmcs,
  monodoc-base (>= 3),
  libnunit-cil-dev
 Standards-Version: 3.9.1
@@ -26,14 +25,6 @@
  command, which allows ASP.NET sites to be automatically configured on 
  installation.
 
-Package: mono-xsp2-base
-Architecture: all
-Depends: ${misc:Depends}, ${cli:Depends}, mono-devel, mono-gmcs, libmono-system-web2.0-cil (>= ${mono-abi-comp-version})
-Description: base libraries for XSP 2.0
- This is the core libraries needed to install the XSP2 application,
- either through the standalone XSP version (mono-xsp2) or the Apache module
- (mono-apache-server2).
-
 Package: mono-xsp4-base
 Architecture: all
 Depends: ${misc:Depends}, ${cli:Depends}, mono-devel, libmono-system-web4.0-cil (>= ${mono-abi-comp-version})
@@ -44,23 +35,13 @@
 
 Package: mono-xsp4
 Architecture: all
-Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), procps
+Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), procps, lsb-base
 Description: simple web server to run ASP.NET 4.0 applications
  XSP is a simple web server written in C# that can be used to run your 
  ASP.NET 4.0 applications. 
  .
  This is the standalone ASP.NET web server. If you want to run ASP.NET
  applications with Apache, look at mono-apache-server.
-
-Package: mono-xsp2
-Architecture: all
-Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp2-base (= ${source:Version}), procps
-Description: simple web server to run ASP.NET 2.0 applications
- XSP is a simple web server written in C# that can be used to run your 
- ASP.NET 1.1 and 2.0 applications. 
- .
- This is the standalone ASP.NET web server. If you want to run ASP.NET
- applications with Apache, look at mono-apache-server2.
 
 Package: mono-xsp
 Architecture: all
@@ -75,7 +56,7 @@
 
 Package: asp.net-examples
 Architecture: all
-Depends: ${misc:Depends}, ${cli:Depends}, ${cli:XspServer2}
+Depends: ${misc:Depends}, ${cli:Depends}, ${cli:XspServer4}
 Replaces: asp.net2-examples
 Conflicts: asp.net2-examples
 Description: demo pages for ASP.NET infrastructure
@@ -84,20 +65,8 @@
 
 Package: mono-apache-server4
 Architecture: all
-Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), perl-modules
+Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), perl
 Description: ASP.NET 4.5 backend for mod_mono Apache module
- mono-apache-server contains the backend for mod_mono. It lets you run ASP.NET
- web applications via Apache. mod_mono will call mono-apache-server to parse
- and compile the aspx code.
- .
- This package requires you to install libapache2-mod-mono for Apache 2.0.
-
-Package: mono-apache-server2
-Architecture: all
-Conflicts: mono-server
-Replaces: mono-server
-Depends: ${misc:Depends}, ${cli:Depends}, mono-xsp2-base (= ${source:Version}), perl-modules
-Description: ASP.NET 2.0 backend for mod_mono2 Apache module
  mono-apache-server contains the backend for mod_mono. It lets you run ASP.NET
  web applications via Apache. mod_mono will call mono-apache-server to parse
  and compile the aspx code.
@@ -118,7 +87,7 @@
 
 Package: mono-fpm-server
 Architecture: all
-Depends: libfpm-helper0 (= ${source:Version}), ${shlibs:Depends}, ${cli:Depends}, ${misc:Depends}
+Depends: libfpm-helper0 (>= ${source:Version}), ${shlibs:Depends}, ${cli:Depends}, ${misc:Depends}
 Description: ASP.NET backend for FastCGI Process Manager
  mono-fpm-server contains the backend for FPM. It lets you run ASP.NET
  web applications via HTTP servers such as Lighttpd or Apache.
@@ -142,25 +111,11 @@
 Package: mono-fastcgi-server4
 Architecture: all
 Replaces: mono-fastcgi-server1
-Depends: libfpm-helper0 (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), perl-modules
+Depends: libfpm-helper0 (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}, mono-xsp4-base (= ${source:Version}), perl
 Description: ASP.NET 4.0 backend for FastCGI webservers
  mono-fastcgi-server contains the backend for FastCGI. It lets you run 
  ASP.NET web applications via HTTP servers such as Lighttpd or Apache. 
  The FastCGI webserver shouldbe configured to run fastcgi-mono-server to
- parse and compile the aspx code.
- .
- This package requires you to install any FastCGI webserver, such as
- Lighttpd or Apache (see libapache2-mod-fcgid).
-
-Package: mono-fastcgi-server2
-Architecture: all
-Conflicts: mono-server
-Replaces: mono-server
-Depends: libfpm-helper0 (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}, mono-xsp2-base (= ${source:Version}), perl-modules
-Description: ASP.NET 2.0 backend for FastCGI webservers
- mono-fastcgi-server contains the backend for FastCGI. It lets you run
- ASP.NET web applications via HTTP servers such as Lighttpd or Apache.
- The FastCGI webserver should be configured to run fastcgi-mono-server to
  parse and compile the aspx code.
  .
  This package requires you to install any FastCGI webserver, such as
