=== debian/watch ===
version=3
http://ftp.novell.com/pub/mono/sources/xsp/xsp-(.*)\.(?:zip|(?:tar\.(?:bz2|gz)))
